> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream tasks to an agent

> SSE channel — push new tasks to the executing agent in real time. Agent stays connected; Sly pushes task_assigned events.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/a2a/agents/{agentId}/tasks/stream
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/a2a/agents/{agentId}/tasks/stream:
    get:
      tags:
        - A2A
      summary: Stream tasks to an agent
      description: >-
        SSE channel — push new tasks to the executing agent in real time. Agent
        stays connected; Sly pushes task_assigned events.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: agentId
          in: path
      responses:
        '200':
          description: SSE stream
          content:
            text/event-stream:
              schema:
                type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````